# Uses of Class
org.eclipse.jdt.core.CompletionContext

Packages that use CompletionContext
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.ui.text.java
Application programming interfaces for interaction with the Eclipse Java User Interface.

## Uses of CompletionContext in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core with parameters of type CompletionContext
Modifier and Type
Method
Description
`void`
CompletionRequestor.`acceptContext(CompletionContext context)`
Propose the context in which the completion occurs.
`boolean`
CompletionProposal.`canUseDiamond(CompletionContext coreContext)`
Returns whether it is safe to use the `'<>'` (diamond) operator in place of explicitly specifying type arguments for this proposal.

## Uses of CompletionContext in org.eclipse.jdt.ui.text.java

Methods in org.eclipse.jdt.ui.text.java that return CompletionContext
Modifier and Type
Method
Description
`protected final CompletionContext`
CompletionProposalCollector.`getContext()`
Returns the `CompletionContext` for this completion operation.
`CompletionContext`
JavaContentAssistInvocationContext.`getCoreContext()`
Returns the `core completion context` if available, `null` otherwise.
Methods in org.eclipse.jdt.ui.text.java with parameters of type CompletionContext
Modifier and Type
Method
Description
`void`
CompletionProposalCollector.`acceptContext(CompletionContext context)`
Propose the context in which the completion occurs.